using System;
using Server;

namespace Server.Scripts.Commands
{
	public class Recompile
	{
		public static void Initialize()
		{
			Server.Commands.Register( "Recompile", AccessLevel.Administrator, new CommandEventHandler( Recompile_OnCommand ) );
		}

		public static void Recompile_OnCommand( CommandEventArgs e )
		{
			e.Mobile.SendMessage( "Recompiling scripts, please wait." );

			if ( !ScriptCompiler.Recompile() )
				e.Mobile.SendMessage( "There were errors recompiling the scripts, the last good version will be used." );
			else
				e.Mobile.SendMessage( "Scripts recompiled successfully." );
		}
	}
}