using System;

namespace Server.Items
{
	public abstract class BaseJewel : Item
	{
		public BaseJewel( int itemID, Layer layer ) : base( itemID )
		{
			Layer = layer;
		}

		public BaseJewel( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}