/*
Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 53.1
Skill 3erd 59.1
Skill 4th 65.1
*/
using System;

namespace Server.Mobiles
{
	[CorpseName( "a deer corpse" )]
	public class Deer : BaseCreature
	{
		[Constructable]
		public Deer() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			BaseSoundID = 0x82;
			Body = 0xED;
			Name = "a deer";

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 23.1; // Skill 1st
			MaxTameSkill = 47.1; // Skill 5th			

			InitStats( 50, 100, 50 );
		}

		public Deer( Serial serial ) : base( serial )
		{
		}

		public override int GetAttackSound()
		{
			return 0x82;
		}

		public override int GetHurtSound()
		{
			return 0x83;
		}

		public override int GetDeathSound()
		{
			return 0x84;
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}